<?php
/*******************************************************************************
 * Plugin LogoSite pour Thlia.
 * -----------------------------------------------------------------------------
 * Date de cration : Mars 2008
 * Version : 1.0
 * -----------------------------------------------------------------------------
 * Auteur : Guillaume RAYNAUD
 *   Mail : guillaume.raynaud@gmail.com
 *   Pseudo sur les sites de Thlia : Guillaume
 *   Site web : http://guillaume.raynaud.cv.free.fr
 *   Mon profil viadeo : http://www.viadeo.com/fr/profile/guillaume.raynaud4
 * -----------------------------------------------------------------------------
 * Site Thlia utilisant ce plugin : http://www.oenoschool.com
 ******************************************************************************/
?>
<?php

include_once(realpath(dirname(__FILE__)) . "/../../../classes/PluginsClassiques.class.php");
	
	
	class LogoSite extends PluginsClassiques{

		var $id;
		var $nom;
		var $chemin;
		var $actif;
		var $date;
		
		var $table="logos";
		var $bddvars = array("id", "nom", "chemin", "actif", "date");
		
		function LogoSite(){
			$this->PluginsClassiques();	
		}
    
    /*
      Cette mthode permet de charger un logo de la base de donnes
    */
		function charger($id){
		  return $this->getVars("select * from $this->table where id=\"$id\"");
		}

    /*
      Cette mthode permet d'initialiser le plugin :
        cration de la table
    */
		function init(){
			$cnx = new Cnx();
			$query = "CREATE TABLE `logos` (
			  `id` int(11) NOT NULL auto_increment,
			  `nom` text NOT NULL,
			  `chemin` text NOT NULL,
			  `actif` tinyint(4) DEFAULT '0' NOT NULL,
			  `date` datetime NOT NULL,
			  PRIMARY KEY  (`id`)
			) AUTO_INCREMENT=1 ;";
			$resul = mysql_query($query, $cnx->link);
			
		}
    
    /*
      A la dsactivation du plugin nous conservons les donnes enregistres, nous ne faisons donc rien de particulier.
    */
		function destroy(){
		}		
    
    /*
      Traitement ct client.
      
      Param entre
      <aucun>
      
      Param sortie
      #NOM : nom du logo
      #CHEMIN : chemin du logo sur le serveur
      #DATE : date du logo
      
      Exemple d'utililsation
      <THELIA_logo type="LOGOSITE">                                                      
          <img src="#CHEMIN/#NOM" width="150" height="100" alt="" />
          <!-- width et height devront toujours avoir la mme valeur dfinie dans le squelette.
          Le logo s'il est une image illustrative on ne met rien dans le alt, 
          sinon penser  mettre la fonction du lien (s'il est utilis pour faire un retour  la page d'accueil par ex.) -->
      </THELIA_logo>
    */
		function boucle($texte, $args){
			// rcupration des arguments
			//$ref= lireTag($args, "ref");

			$search = "actif=1";
			$res = "";

			// prparation de la requte
			//if($ref!="")  $search.=" and ref=\"$ref\"";

			$logo = new LogoSite();	

			$query = "select * from $logo->table where $search";
			$resul = mysql_query($query, $logo->link);
			$nbres = mysql_numrows($resul);
			if(!$nbres) return "";

			while( $row = mysql_fetch_object($resul)){
				$temp = str_replace("#NOM", "$row->nom", $texte);
				$temp = str_replace("#CHEMIN", "$row->chemin", $temp);
				$temp = str_replace("#DATE", substr($row->date, 0, 10), $temp);
				//$temp = str_replace("#HEURE", substr($row->date, 11), $temp);

				$res .= $temp;
			}
			return $res;
		}	
    
    /*
      Il n'y a pas d'action particulire  attendre de la part du client
    */
		function action(){
			
		}
		
	}

?>
